_SPI4_interrupt:
;SPI slave with response.c,94 :: 		void SPI4_interrupt() iv IVT_SPI_4 ilevel 6 ics ICS_SOFT{
ADDIU	SP, SP, -16
SW	R30, 12(SP)
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 6144
MTC0	R30, 12, 0
;SPI slave with response.c,98 :: 		rxByte = SPI4BUF;
; rxByte start address is: 16 (R4)
LW	R4, Offset(SPI4BUF+0)(GP)
;SPI slave with response.c,99 :: 		PORTD = rxByte;
ANDI	R2, R4, 255
SW	R2, Offset(PORTD+0)(GP)
;SPI slave with response.c,101 :: 		if(rxByte == GET_DATA_COMMAND){
ANDI	R3, R4, 255
; rxByte end address is: 16 (R4)
LBU	R2, Offset(_GET_DATA_COMMAND+0)(GP)
BEQ	R3, R2, L__SPI4_interrupt4
NOP	
J	L_SPI4_interrupt0
NOP	
L__SPI4_interrupt4:
;SPI slave with response.c,107 :: 		PORTB = txByte;
LBU	R2, Offset(_txByte+0)(GP)
SW	R2, Offset(PORTB+0)(GP)
;SPI slave with response.c,108 :: 		SPI4BUF = txByte++;
LBU	R2, Offset(_txByte+0)(GP)
SW	R2, Offset(SPI4BUF+0)(GP)
LBU	R2, Offset(_txByte+0)(GP)
ADDIU	R2, R2, 1
SB	R2, Offset(_txByte+0)(GP)
;SPI slave with response.c,109 :: 		}
L_SPI4_interrupt0:
;SPI slave with response.c,114 :: 		SPI4RXIF_bit = 0;
LUI	R2, BitMask(SPI4RXIF_bit+0)
ORI	R2, R2, BitMask(SPI4RXIF_bit+0)
_SX	8, Offset(SPI4RXIF_bit+4), 4
;SPI slave with response.c,115 :: 		}
L_end_SPI4_interrupt:
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
LW	R30, 12(SP)
ADDIU	SP, SP, 16
ERET	
; end of _SPI4_interrupt
_SPI4_init_interrupts:
;SPI slave with response.c,117 :: 		void SPI4_init_interrupts(){
;SPI slave with response.c,120 :: 		SPI4CON.SRXISEL1 = 0;
ORI	R2, R0, 2
SW	R2, Offset(SPI4CON+4)(GP)
;SPI slave with response.c,121 :: 		SPI4CON.SRXISEL0 = 1;
ORI	R2, R0, 1
SW	R2, Offset(SPI4CON+8)(GP)
;SPI slave with response.c,129 :: 		SPI4RXIF_bit = 0;
LUI	R2, BitMask(SPI4RXIF_bit+0)
ORI	R2, R2, BitMask(SPI4RXIF_bit+0)
_SX	8, Offset(SPI4RXIF_bit+4), 4
;SPI slave with response.c,132 :: 		IPC8.B4 = 1;  //SPI3AIP2
ORI	R2, R0, 16
SW	R2, Offset(IPC8+8)(GP)
;SPI slave with response.c,133 :: 		IPC8.B3 = 1;  //SPI3AIP1
ORI	R2, R0, 8
SW	R2, Offset(IPC8+8)(GP)
;SPI slave with response.c,134 :: 		IPC8.B2 = 0;  //SPI3AIP0
ORI	R2, R0, 4
SW	R2, Offset(IPC8+4)(GP)
;SPI slave with response.c,137 :: 		SPI4RXIE_bit = 1;
LUI	R2, BitMask(SPI4RXIE_bit+0)
ORI	R2, R2, BitMask(SPI4RXIE_bit+0)
_SX	8, Offset(SPI4RXIE_bit+8), 4
;SPI slave with response.c,138 :: 		}
L_end_SPI4_init_interrupts:
JR	RA
NOP	
; end of _SPI4_init_interrupts
_main:
;SPI slave with response.c,140 :: 		void main() {
;SPI slave with response.c,144 :: 		SPI4_init_interrupts();
JAL	_SPI4_init_interrupts+0
NOP	
;SPI slave with response.c,145 :: 		EnableInterrupts();
EI	R30
;SPI slave with response.c,153 :: 		_SPI_SS_DISABLE,
MOVZ	R28, R0, R0
;SPI slave with response.c,152 :: 		1024, // not used in slave mode
ORI	R27, R0, 1024
;SPI slave with response.c,151 :: 		_SPI_8_BIT,
MOVZ	R26, R0, R0
;SPI slave with response.c,150 :: 		_SPI_SLAVE,
MOVZ	R25, R0, R0
;SPI slave with response.c,156 :: 		_SPI_ACTIVE_2_IDLE);
ADDIU	SP, SP, -8
SH	R0, 4(SP)
;SPI slave with response.c,155 :: 		_SPI_CLK_IDLE_LOW,
SH	R0, 2(SP)
;SPI slave with response.c,154 :: 		_SPI_DATA_SAMPLE_MIDDLE,
SH	R0, 0(SP)
;SPI slave with response.c,156 :: 		_SPI_ACTIVE_2_IDLE);
JAL	_SPI4_Init_Advanced+0
NOP	
ADDIU	SP, SP, 8
;SPI slave with response.c,159 :: 		TRISB=0;
SW	R0, Offset(TRISB+0)(GP)
;SPI slave with response.c,160 :: 		PORTB=0;
SW	R0, Offset(PORTB+0)(GP)
;SPI slave with response.c,163 :: 		TRISD=0;
SW	R0, Offset(TRISD+0)(GP)
;SPI slave with response.c,164 :: 		PORTD=0;
SW	R0, Offset(PORTD+0)(GP)
;SPI slave with response.c,166 :: 		while(1){
L_main1:
;SPI slave with response.c,169 :: 		}
J	L_main1
NOP	
;SPI slave with response.c,170 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
