_SPI4_interrupt:
;SPI Slave with interrupt.c,28 :: 		void SPI4_interrupt() iv IVT_SPI_4 ilevel 6 ics ICS_SOFT{
ADDIU	SP, SP, -16
SW	R30, 12(SP)
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 6144
MTC0	R30, 12, 0
;SPI Slave with interrupt.c,32 :: 		rxByte = SPI4BUF;
; rxByte start address is: 12 (R3)
LW	R3, Offset(SPI4BUF+0)(GP)
;SPI Slave with interrupt.c,33 :: 		PORTB = rxByte;
ANDI	R2, R3, 255
; rxByte end address is: 12 (R3)
SW	R2, Offset(PORTB+0)(GP)
;SPI Slave with interrupt.c,36 :: 		SPI4RXIF_bit = 0;
LUI	R2, BitMask(SPI4RXIF_bit+0)
ORI	R2, R2, BitMask(SPI4RXIF_bit+0)
_SX	8, Offset(SPI4RXIF_bit+4), 4
;SPI Slave with interrupt.c,37 :: 		}
L_end_SPI4_interrupt:
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
LW	R30, 12(SP)
ADDIU	SP, SP, 16
ERET	
; end of _SPI4_interrupt
_SPI4_init_interrupts:
;SPI Slave with interrupt.c,39 :: 		void SPI4_init_interrupts(){
;SPI Slave with interrupt.c,42 :: 		SPI4CON.SRXISEL1 = 0;
ORI	R2, R0, 2
SW	R2, Offset(SPI4CON+4)(GP)
;SPI Slave with interrupt.c,43 :: 		SPI4CON.SRXISEL0 = 1;
ORI	R2, R0, 1
SW	R2, Offset(SPI4CON+8)(GP)
;SPI Slave with interrupt.c,50 :: 		SPI4RXIF_bit = 0;
LUI	R2, BitMask(SPI4RXIF_bit+0)
ORI	R2, R2, BitMask(SPI4RXIF_bit+0)
_SX	8, Offset(SPI4RXIF_bit+4), 4
;SPI Slave with interrupt.c,53 :: 		IPC8.B4 = 1;  //SPI3AIP2
ORI	R2, R0, 16
SW	R2, Offset(IPC8+8)(GP)
;SPI Slave with interrupt.c,54 :: 		IPC8.B3 = 1;  //SPI3AIP1
ORI	R2, R0, 8
SW	R2, Offset(IPC8+8)(GP)
;SPI Slave with interrupt.c,55 :: 		IPC8.B2 = 0;  //SPI3AIP0
ORI	R2, R0, 4
SW	R2, Offset(IPC8+4)(GP)
;SPI Slave with interrupt.c,58 :: 		SPI4RXIE_bit = 1;
LUI	R2, BitMask(SPI4RXIE_bit+0)
ORI	R2, R2, BitMask(SPI4RXIE_bit+0)
_SX	8, Offset(SPI4RXIE_bit+8), 4
;SPI Slave with interrupt.c,59 :: 		}
L_end_SPI4_init_interrupts:
JR	RA
NOP	
; end of _SPI4_init_interrupts
_main:
;SPI Slave with interrupt.c,61 :: 		void main() {
;SPI Slave with interrupt.c,65 :: 		SPI4_init_interrupts();
JAL	_SPI4_init_interrupts+0
NOP	
;SPI Slave with interrupt.c,66 :: 		EnableInterrupts();
EI	R30
;SPI Slave with interrupt.c,74 :: 		_SPI_SS_DISABLE,
MOVZ	R28, R0, R0
;SPI Slave with interrupt.c,73 :: 		1024, // not used in slave mode
ORI	R27, R0, 1024
;SPI Slave with interrupt.c,72 :: 		_SPI_8_BIT,
MOVZ	R26, R0, R0
;SPI Slave with interrupt.c,71 :: 		_SPI_SLAVE,
MOVZ	R25, R0, R0
;SPI Slave with interrupt.c,77 :: 		_SPI_ACTIVE_2_IDLE);
ADDIU	SP, SP, -8
SH	R0, 4(SP)
;SPI Slave with interrupt.c,76 :: 		_SPI_CLK_IDLE_LOW,
SH	R0, 2(SP)
;SPI Slave with interrupt.c,75 :: 		_SPI_DATA_SAMPLE_MIDDLE,
SH	R0, 0(SP)
;SPI Slave with interrupt.c,77 :: 		_SPI_ACTIVE_2_IDLE);
JAL	_SPI4_Init_Advanced+0
NOP	
ADDIU	SP, SP, 8
;SPI Slave with interrupt.c,80 :: 		TRISB = 0;
SW	R0, Offset(TRISB+0)(GP)
;SPI Slave with interrupt.c,81 :: 		PORTB = 0;
SW	R0, Offset(PORTB+0)(GP)
;SPI Slave with interrupt.c,84 :: 		TRISD = 0;
SW	R0, Offset(TRISD+0)(GP)
;SPI Slave with interrupt.c,85 :: 		PORTD = 0;
SW	R0, Offset(PORTD+0)(GP)
;SPI Slave with interrupt.c,87 :: 		while(1){
L_main0:
;SPI Slave with interrupt.c,88 :: 		if(PORTD == 0){
LW	R2, Offset(PORTD+0)(GP)
BEQ	R2, R0, L__main9
NOP	
J	L_main2
NOP	
L__main9:
;SPI Slave with interrupt.c,89 :: 		PORTD = 0xFF;
ORI	R2, R0, 255
SW	R2, Offset(PORTD+0)(GP)
;SPI Slave with interrupt.c,90 :: 		} else {
J	L_main3
NOP	
L_main2:
;SPI Slave with interrupt.c,91 :: 		PORTD = 0;
SW	R0, Offset(PORTD+0)(GP)
;SPI Slave with interrupt.c,92 :: 		}
L_main3:
;SPI Slave with interrupt.c,93 :: 		delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_main4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main4
NOP	
;SPI Slave with interrupt.c,94 :: 		}
J	L_main0
NOP	
;SPI Slave with interrupt.c,95 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
